/*  GrayScale.m    Jeff Froyd.     */


#import "GrayScale.h"
#import <appkit/Slider.h>
#import <dpsclient/wraps.h>

@implementation GrayScale

   double currentGray;

-setDoubleValue:(double)newGrayValue;
{
	currentGray = newGrayValue;
        [self display];
	return self;
}

-drawSelf:(NXRect *)r:(int)c
{
	PSsetgray(currentGray);
	NXRectFill(r);	
	PSsetgray(NX_BLACK);
	NXFrameRect(r);
	return self;
}
@end

